package com.jojubanking.boot.module.system.convert.reserve8;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.reserve8.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.reserve8.Reserve8DO;

/**
 * 预约挂号 Convert
 *
 * @author admin
 */
@Mapper
public interface Reserve8Convert {

    Reserve8Convert INSTANCE = Mappers.getMapper(Reserve8Convert.class);

    Reserve8DO convert(Reserve8CreateReqVO bean);

    Reserve8DO convert(Reserve8UpdateReqVO bean);

    Reserve8RespVO convert(Reserve8DO bean);

    List<Reserve8RespVO> convertList(List<Reserve8DO> list);

    PageResult<Reserve8RespVO> convertPage(PageResult<Reserve8DO> page);

    List<Reserve8ExcelVO> convertList02(List<Reserve8DO> list);

}
